
function mudfish_adclean_dd8580648c61e41f5ca3fe3c1b874162() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`div[class*="Ad"]`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_dd8580648c61e41f5ca3fe3c1b874162();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_dd8580648c61e41f5ca3fe3c1b874162();
  });
}
